### R code from vignette source 'transformations.Rnw'

###################################################
### code chunk number 1: transformations.Rnw:40-41 (eval = FALSE)
###################################################
## install.packages("soiltexture") 


###################################################
### code chunk number 2: transformations.Rnw:47-49
###################################################
require( "soiltexture" ) 
require( "drc" )


###################################################
### code chunk number 3: transformations.Rnw:80-86
###################################################
my.text4 <- data.frame(
    "CLAY"  = c(05,60,15,05,25,05,25,45,65,75,13,47),
    "FSILT" = c(02,04,10,15,25,40,35,20,10,05,10,20),
    "CSILT" = c(03,04,05,10,30,45,30,25,05,10,07,23),
    "SAND"  = c(90,32,70,70,20,10,10,10,20,10,70,10) 
)   #


###################################################
### code chunk number 4: transformations.Rnw:93-103
###################################################
res <- TT.text.transf.Xm(
    tri.data    = my.text4,
    base.ps.lim = c(0,1,50,2000),
    dat.ps.lim  = c(0,2,30,60,2000),
    psdmodel    ="AD"
)   #
#
round( res[,1:6], 3 ) 
#
round( res[,7:ncol(res)], 3 ) 


###################################################
### code chunk number 5: transformations.Rnw:137-147
###################################################
res <- TT.text.transf.Xm(
    tri.data    = my.text4,
    base.ps.lim = c(0,1,50,2000),
    dat.ps.lim  = c(0,2,30,60,2000),
    psdmodel    = "ML"
)   #
#
round( res[,1:6], 3 ) 
#
round( res[,7:ncol(res)], 3 ) 


###################################################
### code chunk number 6: transformations.Rnw:159-170
###################################################
res <- TT.text.transf.Xm(
    tri.data    = my.text4,
    base.ps.lim = c(0,1,50,2000),
    dat.ps.lim  = c(0,2,30,60,2000),
    psdmodel    = "ML",
    omethod     = "SANN"
)   #
#
round( res[,1:6], 3 ) 
#
round( res[,7:ncol(res)], 3 ) 


###################################################
### code chunk number 7: transformations.Rnw:187-200
###################################################
my.text5 <- data.frame(
    "CLAY"  = c(05,60,15,04.9,25,05,25,45,65,75,13,47),
    "FSILT" = c(02,04.3,10,15,25,40,35,20,10,05,10,20),
    "CSILT" = c(03,04,05,10,30,45,30,25,05,10,07.2,23.3),
    "SAND"  = c(90.5,32,70,70,20.3,10.9,9.3,9.4,20,10,70,10)
)   #
#
res <- TT.normalise.sum.X( 
    tri.data    = my.text5,
    residuals   = TRUE
)   #
#
res


